#ifndef PIVOT_H
#define PIVOT_H

#include "Mesh.h"

namespace CBK
{
	namespace Shapes
	{
		class Pivot : public Mesh
		{
		public:
			//Create a new shape
			Pivot(void);

			//Clean up
			virtual ~Pivot(void);

		protected:

		private:
			virtual void draw(const DWORD& subset = 0);
			virtual void apply(void);
			virtual item& load(const std::string& name, const MeshParam& params);
		};
	}
}

#endif //PIVOT_H